/*
 * Cette méthode récupère les valeurs nécessaires au login qui sont : le 
 * username ainsi que le mot de passe puis appele la méthode permettant de faire
 * un POST du login vers le serveur. Pour cela elle utilise un getElementById.
 */
function doLogin(){
    var user = document.getElementById("user").value;
    var password = document.getElementById("password").value;
    POST_Login(user ,password , loginSuccess, loginError);
}

/*
 * Cette méthode est appelée en cas de succes du login, elle va vérifier si 
 * l'utilisateur est un administrateur ou un simple utilisateur et le rediriger
 * sur la page en fonction de ce test.
 * 
 * @param data : l'utilisateur sous forme de JSON
 */
function loginSuccess(data){
    console.log("ceci est une réussite");
    console.log(JSON.stringify(data));
    if (data['isAdmin']) {
        window.open("adminHome.html", "_self");
    }else{
        window.open("home.html", "_self");
    } 
}

/*
 * Cette méthode est appelée en cas d'erreur de login et va rediriger
 *  le visiteur sur une page qui l'informera de l'erreur.
 *  
 *  @param data : l'utilisateur sous forme de JSON.
 */
function loginError(data){
    console.log("ceci est une erreur");
    console.log(data);
    window.open("error.html", "_self");
}

/*
 * Cette méthode joue un fichier audio si on appuie sur un bouton.
 */
function mushroom(){
    var audio = new Audio('./images/Mushroom.mp3');
    audio.play();
}